Bug 53071 - I18N - AS localized log messages don't display correctly in output window
I18N - AS localized log messages don't display correctly in output window
Status: RESOLVED INVALID
Product: serverplugins
Classification: Unclassified
Component: Sun Appserver 8
4.x
Sun All
: P2 (vote)
: 4.x
Assigned To: issues@serverplugins
issues@serverplugins
: I18N
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-06 16:28 UTC by Ken Frank
Modified: 2006-01-04 15:48 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
server log from ja AS (377.57 KB, image/jpeg)
2005-01-07 02:06 UTC, Ken Frank
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ken Frank 2005-01-06 16:28:58 UTC
assuming current AS plugin follows encoding
handling of the previous one that was in closed
source, there is now an issue with the display of
the localized server log messages in output window -
it used to be that these messages were created
by utf-8 encoding, and, as per bt bug 4736624,
it was fixed by AS plugin to handle this encoding
properly, so the multibyte would display properly

But now the AS log messages use the system default
encoding, if the locale value not set in server.xml
or the encoding of the locale that is set in
server.xml.

So now, jse AS plugin does not show the multibyte
in log file
and a bug is being filed in jse on this issue.

Since the code for plugin is now in open source,
am filing this issue here to have it fixed here.
If current plugin does handle it correctly now,
as per how current AS handles encoding of log
or other messages, please close.

I suggest that if implementation can handle
any encoding that might be used by an external
application/process, then what is sent to ourput
window could always be correct.
Comment 1 _ ludo 2005-01-06 16:34:33 UTC
if you did not really test this on nb4.1 I would close the bug...
The code between nb anf studio ia really different.

Guessing is not enough there.
Comment 2 Ken Frank 2005-01-06 16:42:57 UTC
Ludo,

I don't know about guessing; but would appreciate more information -
how do you handle the encoding processing for things sent to output
window ? I do realize things need to be tested but also specs and
details it seems should be provided to those doing the testing.
I don't think thats an unusual approach, and as part of test
preparations will be asking for other such information;  Just testing
without knowing details and then seeing if a bug or not does not
seem to me to be most efficient approach.

Thanks - Ken
Comment 3 _ ludo 2005-01-06 16:47:55 UTC
the plugin opens the server.log file as a a stream with utf-8:

        filestream = new FileInputStream(fileName);
        ins = new BufferedReader(new
InputStreamReader(filestream,"UTF-8"));//NOI18N

Would that be enough?

Comment 4 _ ludo 2005-01-06 17:22:39 UTC
4736624 is marked as fixed and verified so I think the fix is there in
nb 4.1, unless you see another issue.
Comment 5 _ ludo 2005-01-06 17:24:13 UTC
was fixed in 2002
Comment 6 Ken Frank 2005-01-06 19:36:16 UTC
the recent problem, filed as bt issue 6214692, is that now AS emits
log in encoding of system locale (or locale as specified in
server.xml) - so if the 
 filestream = new FileInputStream(fileName);
        ins = new BufferedReader(new
InputStreamReader(filestream,"UTF-8"));//NOI18N

does not take that into account, then the issue may be in plugin
code here as it seems to be now with closed src one in jse.

BTW, I did get pointers to the in process localized pkgs for the
AS we use in nb4.1 so once those are installed, this kind of testing
will be easier; 
Also, on the other issue about verifier output - will see what Vela
says if AS verifier output
is localized wrt that window. I don't know if verifier output
that shows in the area where output window resides uses that output
window or is its own window, but I don't think it matters as to the
encoding part.

ken.frank@sun.com
Comment 7 _ ludo 2005-01-06 23:23:56 UTC
Can you send me a log file that would show this behaviour?
Comment 8 Ken Frank 2005-01-07 02:06:03 UTC
gif of output window attached - this is from
user running jse bow but if the same encoding
is being used (utf-8) by the nb4.1 and the
as plugin for bow, then it could be valid; 
I still need to set up the localized situation
for AS for AS 8.1 for nb4.1

I will also ask for text file of the log file.

the dots and random ascii seen in the gif
seems to the kind of chars that could
be seen when utf-8 was being used when the
encoding is the system default in this case
ja (but it could be any encoding set in server.xml)

ken.frank@sun.com
Comment 9 Ken Frank 2005-01-07 02:06:48 UTC
Created attachment 19540 [details]
server log from ja AS
Comment 10 Vince Kraemer 2005-07-20 23:57:44 UTC
new / invalid


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo